<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: MeasurementState Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classMeasurementState-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MeasurementState Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="MeasurementState_8hpp_source.html">MeasurementState.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for MeasurementState:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState__coll__graph.png" border="0" usemap="#MeasurementState_coll__map" alt="Collaboration graph"/></div>
<map name="MeasurementState_coll__map" id="MeasurementState_coll__map">
<area shape="rect" id="node2" href="classstd_1_1vector.html" title="{std::vector\&lt; QString \&gt;\n|+ element\l|}" alt="" coords="5,5,157,91"/><area shape="rect" id="node4" href="classstd_1_1vector.html" title="{std::vector\&lt; bool \&gt;\n|+ element\l|}" alt="" coords="181,5,312,91"/><area shape="rect" id="node6" href="classstd_1_1vector.html" title="{std::vector\&lt; double \&gt;\n|+ element\l|}" alt="" coords="336,5,483,91"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0518a210bc1954d89c589a8d06689fec"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#a0518a210bc1954d89c589a8d06689fec">operator[]</a> (const int key) const </td></tr>
<tr class="memitem:a4cb445fcf2de3a29d3501ea77726da7d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#a4cb445fcf2de3a29d3501ea77726da7d">MeasurementState</a> ()</td></tr>
<tr class="memitem:a7d755f894afdcb8a71c48c6928f0ffe1"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#a7d755f894afdcb8a71c48c6928f0ffe1">~MeasurementState</a> ()</td></tr>
<tr class="memitem:aa83b85383a05112b240541f13a87a56f"><td class="memItemLeft" align="right" valign="top">QStringList&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#aa83b85383a05112b240541f13a87a56f">GetHeaders</a> () const </td></tr>
<tr class="memitem:ae8c2f2a07574b75755c7eccb8667b6fb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#ae8c2f2a07574b75755c7eccb8667b6fb">DumpCurrentValues</a> (QStringList &amp;stringList)</td></tr>
<tr class="memdesc:ae8c2f2a07574b75755c7eccb8667b6fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns names and units  <a href="#ae8c2f2a07574b75755c7eccb8667b6fb"></a><br/></td></tr>
<tr class="memitem:a2d02c33eb53630f5bd8444a2f56768b8"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#a2d02c33eb53630f5bd8444a2f56768b8">Get</a> (int key) const </td></tr>
<tr class="memdesc:a2d02c33eb53630f5bd8444a2f56768b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets a list of values converted to text  <a href="#a2d02c33eb53630f5bd8444a2f56768b8"></a><br/></td></tr>
<tr class="memitem:a82938cc1ca95f67d6c7a9cfe96808e7c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#a82938cc1ca95f67d6c7a9cfe96808e7c">Update</a> (int key, double value)</td></tr>
<tr class="memitem:ab18c25e7210106d1327f75d95ef31c54"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#ab18c25e7210106d1327f75d95ef31c54">Invalidate</a> (const int key)</td></tr>
<tr class="memitem:ae5001cd76c226e93af617625b4b32c1d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#ae5001cd76c226e93af617625b4b32c1d">Volatile</a> (int key) const </td></tr>
<tr class="memitem:adeb1ea79e7301613ec53b842fb932383"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#adeb1ea79e7301613ec53b842fb932383">RegisterField</a> (QString name, QString unit, bool <a class="el" href="classMeasurementState.html#a41364e915d6ff9fc4a5fd3138e90d3c0">vol</a>=false)</td></tr>
<tr class="memitem:a5f820cd447cfc9ddc40d2d452780630a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#a5f820cd447cfc9ddc40d2d452780630a">IndexOfField</a> (QString name)</td></tr>
<tr class="memitem:a312c21e83aa65bb749ecae5d1da4fd24"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#a312c21e83aa65bb749ecae5d1da4fd24">Renew</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af58e992abd4c0ee86d5869007825c336"><td class="memItemLeft" align="right" valign="top">const double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#af58e992abd4c0ee86d5869007825c336">double_nan</a> = std::numeric_limits&lt;double&gt;::quiet_NaN()</td></tr>
<tr class="memdesc:af58e992abd4c0ee86d5869007825c336"><td class="mdescLeft">&#160;</td><td class="mdescRight">TODO: remove domain knowledge from the state, put in in the protocol itself. The protocol is going to register fields through state manager or something like that.  <a href="#af58e992abd4c0ee86d5869007825c336"></a><br/></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:afea35a04c0552ce7fb4607a1037ca48f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#afea35a04c0552ce7fb4607a1037ca48f">Update</a> (QString name, double value)</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a44ff0875852289039d3440f7a3b73d89"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#a44ff0875852289039d3440f7a3b73d89">values</a></td></tr>
<tr class="memitem:ab9ed2e684bc8a61d15cc29147c6cc10b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#ab9ed2e684bc8a61d15cc29147c6cc10b">names</a></td></tr>
<tr class="memitem:a27b183b4d9e801472db73d54d8ad147b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#a27b183b4d9e801472db73d54d8ad147b">units</a></td></tr>
<tr class="memitem:a41364e915d6ff9fc4a5fd3138e90d3c0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html#a41364e915d6ff9fc4a5fd3138e90d3c0">vol</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4cb445fcf2de3a29d3501ea77726da7d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">MeasurementState::MeasurementState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a7d755f894afdcb8a71c48c6928f0ffe1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">MeasurementState::~MeasurementState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="ae8c2f2a07574b75755c7eccb8667b6fb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool MeasurementState::DumpCurrentValues </td>
          <td>(</td>
          <td class="paramtype">QStringList &amp;&#160;</td>
          <td class="paramname"><em>stringList</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>returns names and units </p>
<p>if all fields valid </p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_ae8c2f2a07574b75755c7eccb8667b6fb_cgraph.png" border="0" usemap="#classMeasurementState_ae8c2f2a07574b75755c7eccb8667b6fb_cgraph" alt=""/></div>
<map name="classMeasurementState_ae8c2f2a07574b75755c7eccb8667b6fb_cgraph" id="classMeasurementState_ae8c2f2a07574b75755c7eccb8667b6fb_cgraph">
<area shape="rect" id="node3" href="MeasurementState_8cpp.html#ab7c8db023b3f16b797a5e0d2f81f6c37" title="valueToString" alt="" coords="320,5,421,35"/><area shape="rect" id="node5" href="classMeasurementState.html#ae5001cd76c226e93af617625b4b32c1d" title="MeasurementState::Volatile" alt="" coords="280,59,461,88"/><area shape="rect" id="node7" href="classMeasurementState.html#ab18c25e7210106d1327f75d95ef31c54" title="MeasurementState::Invalidate" alt="" coords="273,112,468,141"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_ae8c2f2a07574b75755c7eccb8667b6fb_icgraph.png" border="0" usemap="#classMeasurementState_ae8c2f2a07574b75755c7eccb8667b6fb_icgraph" alt=""/></div>
<map name="classMeasurementState_ae8c2f2a07574b75755c7eccb8667b6fb_icgraph" id="classMeasurementState_ae8c2f2a07574b75755c7eccb8667b6fb_icgraph">
<area shape="rect" id="node3" href="classDataLogger.html#a0efe9f5bab4ce587d6080c9afa021151" title="DataLogger::WriteCurrent\lState" alt="" coords="272,5,443,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a2d02c33eb53630f5bd8444a2f56768b8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double MeasurementState::Get </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>gets a list of values converted to text </p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_a2d02c33eb53630f5bd8444a2f56768b8_icgraph.png" border="0" usemap="#classMeasurementState_a2d02c33eb53630f5bd8444a2f56768b8_icgraph" alt=""/></div>
<map name="classMeasurementState_a2d02c33eb53630f5bd8444a2f56768b8_icgraph" id="classMeasurementState_a2d02c33eb53630f5bd8444a2f56768b8_icgraph">
<area shape="rect" id="node3" href="classMeasurementState.html#a0518a210bc1954d89c589a8d06689fec" title="MeasurementState::operator[]" alt="" coords="216,5,411,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aa83b85383a05112b240541f13a87a56f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QStringList MeasurementState::GetHeaders </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_aa83b85383a05112b240541f13a87a56f_icgraph.png" border="0" usemap="#classMeasurementState_aa83b85383a05112b240541f13a87a56f_icgraph" alt=""/></div>
<map name="classMeasurementState_aa83b85383a05112b240541f13a87a56f_icgraph" id="classMeasurementState_aa83b85383a05112b240541f13a87a56f_icgraph">
<area shape="rect" id="node3" href="classDataLogger.html#ae3b969e56fe73025d087c5d7cdcd56ff" title="DataLogger::PrepareFileHeader" alt="" coords="264,13,469,43"/><area shape="rect" id="node5" href="classDataLogger.html#a0efe9f5bab4ce587d6080c9afa021151" title="DataLogger::WriteCurrent\lState" alt="" coords="517,5,688,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a5f820cd447cfc9ddc40d2d452780630a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int MeasurementState::IndexOfField </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_a5f820cd447cfc9ddc40d2d452780630a_icgraph.png" border="0" usemap="#classMeasurementState_a5f820cd447cfc9ddc40d2d452780630a_icgraph" alt=""/></div>
<map name="classMeasurementState_a5f820cd447cfc9ddc40d2d452780630a_icgraph" id="classMeasurementState_a5f820cd447cfc9ddc40d2d452780630a_icgraph">
<area shape="rect" id="node3" href="classStateManager.html#ae811e5a321c73dbf83ef72562d166728" title="StateManager::indexOfField" alt="" coords="240,13,424,43"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab18c25e7210106d1327f75d95ef31c54"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MeasurementState::Invalidate </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_ab18c25e7210106d1327f75d95ef31c54_icgraph.png" border="0" usemap="#classMeasurementState_ab18c25e7210106d1327f75d95ef31c54_icgraph" alt=""/></div>
<map name="classMeasurementState_ab18c25e7210106d1327f75d95ef31c54_icgraph" id="classMeasurementState_ab18c25e7210106d1327f75d95ef31c54_icgraph">
<area shape="rect" id="node3" href="classForceMeasurement.html#aa7f2465589dbc2fc98c9c95f6f0e469b" title="ForceMeasurement::SetSensor\lOffsetForce" alt="" coords="259,5,461,51"/><area shape="rect" id="node7" href="classMeasurementState.html#a312c21e83aa65bb749ecae5d1da4fd24" title="MeasurementState::Renew" alt="" coords="269,75,451,104"/><area shape="rect" id="node11" href="classMeasurementState.html#ae8c2f2a07574b75755c7eccb8667b6fb" title="returns names and units" alt="" coords="251,127,469,174"/><area shape="rect" id="node5" href="classForceMeasurement.html#a80208d8da5f82bb0c7ed84d001d29269" title="ForceMeasurement::TareSensor" alt="" coords="519,13,727,43"/><area shape="rect" id="node9" href="classStateManager.html#ad1b825f524e36528b7cc52655188b990" title="StateManager::Renew" alt="" coords="547,75,699,104"/><area shape="rect" id="node13" href="classDataLogger.html#a0efe9f5bab4ce587d6080c9afa021151" title="DataLogger::WriteCurrent\lState" alt="" coords="537,127,708,174"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a0518a210bc1954d89c589a8d06689fec"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double MeasurementState::operator[] </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_a0518a210bc1954d89c589a8d06689fec_cgraph.png" border="0" usemap="#classMeasurementState_a0518a210bc1954d89c589a8d06689fec_cgraph" alt=""/></div>
<map name="classMeasurementState_a0518a210bc1954d89c589a8d06689fec_cgraph" id="classMeasurementState_a0518a210bc1954d89c589a8d06689fec_cgraph">
<area shape="rect" id="node3" href="classMeasurementState.html#a2d02c33eb53630f5bd8444a2f56768b8" title="gets a list of values converted to text" alt="" coords="249,5,409,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="adeb1ea79e7301613ec53b842fb932383"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int MeasurementState::RegisterField </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>unit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>vol</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_adeb1ea79e7301613ec53b842fb932383_icgraph.png" border="0" usemap="#classMeasurementState_adeb1ea79e7301613ec53b842fb932383_icgraph" alt=""/></div>
<map name="classMeasurementState_adeb1ea79e7301613ec53b842fb932383_icgraph" id="classMeasurementState_adeb1ea79e7301613ec53b842fb932383_icgraph">
<area shape="rect" id="node3" href="classStateManager.html#a97a286d9ca4faf9cc3d15b3a23a0d7a0" title="TODO: return the key with &#45;1 if error." alt="" coords="244,44,431,73"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#ad5cd75d518794f34741e87a56930f9cc" title="SmarActActuatorAxis\l::RegisterFields" alt="" coords="512,5,659,51"/><area shape="rect" id="node7" href="classStateManager.html#a66f3e5168d30045d7e71d058508268b5" title="TODO: call RegisterField and throw an exception on error." alt="" coords="480,75,691,104"/><area shape="rect" id="node9" href="classForceMeasurement.html#a88ea63ab69a7fffcfc30e51c372a246d" title="ForceMeasurement::ForceMeasurement" alt="" coords="740,75,993,104"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a312c21e83aa65bb749ecae5d1da4fd24"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MeasurementState::Renew </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_a312c21e83aa65bb749ecae5d1da4fd24_cgraph.png" border="0" usemap="#classMeasurementState_a312c21e83aa65bb749ecae5d1da4fd24_cgraph" alt=""/></div>
<map name="classMeasurementState_a312c21e83aa65bb749ecae5d1da4fd24_cgraph" id="classMeasurementState_a312c21e83aa65bb749ecae5d1da4fd24_cgraph">
<area shape="rect" id="node3" href="classMeasurementState.html#ae5001cd76c226e93af617625b4b32c1d" title="MeasurementState::Volatile" alt="" coords="243,5,424,35"/><area shape="rect" id="node5" href="classMeasurementState.html#ab18c25e7210106d1327f75d95ef31c54" title="MeasurementState::Invalidate" alt="" coords="236,59,431,88"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_a312c21e83aa65bb749ecae5d1da4fd24_icgraph.png" border="0" usemap="#classMeasurementState_a312c21e83aa65bb749ecae5d1da4fd24_icgraph" alt=""/></div>
<map name="classMeasurementState_a312c21e83aa65bb749ecae5d1da4fd24_icgraph" id="classMeasurementState_a312c21e83aa65bb749ecae5d1da4fd24_icgraph">
<area shape="rect" id="node3" href="classStateManager.html#ad1b825f524e36528b7cc52655188b990" title="StateManager::Renew" alt="" coords="235,5,387,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a82938cc1ca95f67d6c7a9cfe96808e7c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool MeasurementState::Update </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_a82938cc1ca95f67d6c7a9cfe96808e7c_icgraph.png" border="0" usemap="#classMeasurementState_a82938cc1ca95f67d6c7a9cfe96808e7c_icgraph" alt=""/></div>
<map name="classMeasurementState_a82938cc1ca95f67d6c7a9cfe96808e7c_icgraph" id="classMeasurementState_a82938cc1ca95f67d6c7a9cfe96808e7c_icgraph">
<area shape="rect" id="node3" href="classForceMeasurement.html#afae4af7dcb17923e4701ea5a5d5040ee" title="ForceMeasurement::GetForce\lAndVoltage" alt="" coords="239,35,433,82"/><area shape="rect" id="node9" href="classSmarActActuatorAxis.html#ab1cd474a89ce6b59c8fe9b7ba6891266" title="SmarActActuatorAxis\l::UpdateState" alt="" coords="263,105,409,151"/><area shape="rect" id="node5" href="classForceMeasurement.html#ae6bb9d59b00ea4d0e093704874b2f99d" title="ForceMeasurement::Update\lForce" alt="" coords="496,5,680,51"/><area shape="rect" id="node7" href="classForceMeasurement.html#a80208d8da5f82bb0c7ed84d001d29269" title="ForceMeasurement::TareSensor" alt="" coords="484,75,692,104"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="afea35a04c0552ce7fb4607a1037ca48f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool MeasurementState::Update </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Renew</p>
<p>Call this to setup a "new" empty state (fields invalidated). <a class="el" href="classTimer.html">Timer</a> will not be reset. TimeBegin will be set to the current moment </p>

</div>
</div>
<a class="anchor" id="ae5001cd76c226e93af617625b4b32c1d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool MeasurementState::Volatile </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMeasurementState_ae5001cd76c226e93af617625b4b32c1d_icgraph.png" border="0" usemap="#classMeasurementState_ae5001cd76c226e93af617625b4b32c1d_icgraph" alt=""/></div>
<map name="classMeasurementState_ae5001cd76c226e93af617625b4b32c1d_icgraph" id="classMeasurementState_ae5001cd76c226e93af617625b4b32c1d_icgraph">
<area shape="rect" id="node3" href="classMeasurementState.html#a312c21e83aa65bb749ecae5d1da4fd24" title="MeasurementState::Renew" alt="" coords="256,5,437,35"/><area shape="rect" id="node7" href="classMeasurementState.html#ae8c2f2a07574b75755c7eccb8667b6fb" title="returns names and units" alt="" coords="237,58,456,105"/><area shape="rect" id="node5" href="classStateManager.html#ad1b825f524e36528b7cc52655188b990" title="StateManager::Renew" alt="" coords="513,5,665,35"/><area shape="rect" id="node9" href="classDataLogger.html#a0efe9f5bab4ce587d6080c9afa021151" title="DataLogger::WriteCurrent\lState" alt="" coords="504,58,675,105"/></map>
</div>
</p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="af58e992abd4c0ee86d5869007825c336"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double MeasurementState::double_nan = std::numeric_limits&lt;double&gt;::quiet_NaN()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TODO: remove domain knowledge from the state, put in in the protocol itself. The protocol is going to register fields through state manager or something like that. </p>

</div>
</div>
<a class="anchor" id="ab9ed2e684bc8a61d15cc29147c6cc10b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt;QString&gt; MeasurementState::names</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a27b183b4d9e801472db73d54d8ad147b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt;QString&gt; MeasurementState::units</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a44ff0875852289039d3440f7a3b73d89"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt;double&gt; MeasurementState::values</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a41364e915d6ff9fc4a5fd3138e90d3c0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt;bool&gt; MeasurementState::vol</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="MeasurementState_8hpp_source.html">MeasurementState.hpp</a></li>
<li><a class="el" href="MeasurementState_8cpp.html">MeasurementState.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
